classdef FrameRigidBodyPovray < sequence.FrameRigidBody 
    %sequence.FrameRigidBodyPovray Represents the information of a single frame of the video
    %sequence: image data, ground truth information, sequence order, etc.
    %
    %  @author  enrique.munoz@iit.it
    %
    %  @projectid  OMRON.P37505
    %
    %  @date    2014-05-15
    %
    %  @lastmod 2014-05-15
    %
    %  @changelog 2014-05-15  enrique.munoz@iit.it
    %
    %             Initial version
    %

    properties 
        %% Properties

        % Camera pose for the current frame. The camera is expressed in the
        % VICON reference system
        ViewPoint
        
        %
        GroundTruthParams
        
        %
        InitialParams
        
        
    end% properties
    
    methods
        %% Methods
        
        %
        function obj = FrameRigidBodyPovray(frame) ;
            %% Default constructor
                        
            % The Frame object is initialized with a frame number (order in
            % the sequence)  
            obj = obj@sequence.FrameRigidBody(frame) ;
            
        end % sequence.Frame constructor
    
        %
        function obj = load(obj, data)
            % Fill the Frame properties with information loaded from disk
            
            %
            obj.Alpha             = data.angle_x ;
            obj.Beta              = data.angle_y ;
            obj.Gamma             = data.angle_z ;
            obj.Tx                = data.loc_x ;
            obj.Ty                = data.loc_y ;
            obj.Tz                = data.loc_z ;
            
            %
            obj.ViewPoint         = data.Viewpoint ;
            
            %
            obj.ImageName         = data.name ;
            
            %
            obj.InitialParams     = data.InitialParams ;
            
            %
            obj.GroundTruthParams = data.GroundTruthParams ;
                        
        end% sequence.Frame.assign
                
    end% methods
    
end