%  @author  enrique.munoz@iit.it
%
%  @projectid  OMRON.P37505
% 
%  @date    2014-10-27
%
%  @lastmod 2014-10-27
%
%  @changelog 2014-10-27  enrique.munoz@iit.it
%
%             Initial version
%

% Directory with the captured sessions for the given model
SEQUENCE_DIR     = 'data' ; 

% Name of the captured sequence
SEQUENCE_NAME    = 'screw0001' ;

% Create sequence object
seq              = sequence.SequenceVICON(SEQUENCE_NAME,...
                                          SEQUENCE_DIR,...
                                          mfilename,...
                                          'sequence.FrameRigidBodyVICON') ;

% Name of the data file that contains the object model.
MODEL_NAME       = 'model/screw' 

% Load the object model into the sequence data structure. This
% model will be used to generate the images of the video sequence. 
seq.add(MODEL_NAME) ;

% Parameters require to align the object in the calibration plate
%
seq.ReferencePoints = [[0; 285 ;0], [0;0;0],[150;0;0]] ; 
%
seq.Origin          = [-10;143;38] ;

% Load the keyframes into the sequence and generate the
% corresponding ground truth for each frame.
seq.generate() ;
